import { Date as Neo4jDate, DateTime, Integer, LocalDateTime } from 'neo4j-driver';
import Joi, { AnySchema } from 'joi';
export declare const neo4jDate: Joi.Extension;
export declare const neo4jDateTime: Joi.Extension;
export declare const neo4jLocalDateTime: Joi.Extension;
export interface Neo4jDateSchema extends AnySchema {
    min: (limit: Neo4jDate<number | Integer> | Joi.Reference) => Neo4jDateSchema;
    max: (limit: Neo4jDate<number | Integer> | Joi.Reference) => Neo4jDateSchema;
    less: (limit: Neo4jDate<number | Integer> | Joi.Reference) => Neo4jDateSchema;
    greater: (limit: Neo4jDate<number | Integer> | Joi.Reference) => Neo4jDateSchema;
}
export interface Neo4jDateTimeSchema extends AnySchema {
    min: (limit: DateTime<number | Integer> | Joi.Reference) => Neo4jDateTimeSchema;
    max: (limit: DateTime<number | Integer> | Joi.Reference) => Neo4jDateTimeSchema;
    less: (limit: DateTime<number | Integer> | Joi.Reference) => Neo4jDateTimeSchema;
    greater: (limit: DateTime<number | Integer> | Joi.Reference) => Neo4jDateTimeSchema;
}
export interface Neo4jLocalDateTimeSchema extends AnySchema {
    min: (limit: LocalDateTime<number | Integer> | Joi.Reference) => Neo4jLocalDateTimeSchema;
    max: (limit: LocalDateTime<number | Integer> | Joi.Reference) => Neo4jLocalDateTimeSchema;
    less: (limit: LocalDateTime<number | Integer> | Joi.Reference) => Neo4jLocalDateTimeSchema;
    greater: (limit: LocalDateTime<number | Integer> | Joi.Reference) => Neo4jLocalDateTimeSchema;
}
